summaryrefslogtreecommitdiff
path: root/cpp/tests/setup
diff options
context:
space:
mode:
authorAlan Conway <aconway@apache.org>2007-03-21 02:05:56 +0000
committerAlan Conway <aconway@apache.org>2007-03-21 02:05:56 +0000
commit371d76b7e0f8358d5296722f2f2c0e28181a3935 (patch)
tree7bdb290ebe3506f2d9f75c6f9562c5e7932120ae /cpp/tests/setup
parent862b354f6f777314cd4013f5cbd5aaf0003808d7 (diff)
downloadqpid-python-371d76b7e0f8358d5296722f2f2c0e28181a3935.tar.gz
* cpp: svn removed, will rename cpp-0-9
git-svn-id: https://svn.apache.org/repos/asf/incubator/qpid/trunk/qpid@520705 13f79535-47bb-0310-9956-ffa450edef68
Diffstat (limited to 'cpp/tests/setup')
-rw-r--r--cpp/tests/setup74
1 files changed, 0 insertions, 74 deletions
diff --git a/cpp/tests/setup b/cpp/tests/setup
deleted file mode 100644
index 9dde4758b1..0000000000
--- a/cpp/tests/setup
+++ /dev/null
@@ -1,74 +0,0 @@
-# -*- sh -*-
-
-test "$VERBOSE" = yes && set -x
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-pid=0
-test -z "$TEST_DEBUG" &&
-trap 's=$?;test $pid = 0||kill -2 $pid;cd "$pwd" && rm -rf $t0 && exit $s' 0
-test -z "$TEST_DEBUG" && trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-gen_supp=--gen-suppressions=all
-# This option makes valgrind significantly slower.
-full_leak_check=--leak-check=full
-
-vg_options="
- --suppressions=$abs_srcdir/.vg-supp
- --num-callers=25
- --demangle=no
- --track-fds=yes
- $full_leak_check
- $gen_supp
- "
-# configure tests for the existence of valgrind.
-# If it's not available, then make $vg and vg_check no-ops.
-if test x$VALGRIND = x; then
- vg=
-else
- vg="libtool --mode=execute valgrind `echo $vg_options` --"
-fi
-
-vg_leak_check()
-{
- local file=$1
- local fail
- # If we detect a leak, dump all output to stderr.
- grep -E '^==[0-9]+== +definitely lost: [^0]' $file \
- && { fail=1; cat $file 1>&2;
- echo "found memory leaks (see log file, $file); see above" 1>&2; }
- test "$fail" = ''
-}
-
-
-# Ensure 1) that there is an ERROR SUMMARY line, and
-# 2) that the number of errors is 0.
-# An offending line looks like this:
-# ==29302== ERROR SUMMARY: 4 errors from 2 contexts (suppressed: 16 from 5)
-vg_error_check()
-{
- local file=$1
- local fail
- # If we detect a leak, dump all output to stderr.
- grep -E '^==[0-9]+== ERROR SUMMARY:' $file > /dev/null \
- || { fail=1; cat $file 1>&2;
- echo "no valgrind ERROR SUMMARY line in $file" 1>&2; }
- if test "$fail" = ''; then
- grep -E '^==[0-9]+== ERROR SUMMARY: [^0] ' $file \
- && { fail=1; cat $file 1>&2;
- echo "valgrind reported errors in $file; see above" 1>&2; }
- fi
- test "$fail" = ''
-}
-
-vg_check()
-{
- local file=$1
- if test x$VALGRIND != x; then
- vg_error_check $file && vg_leak_check $file
- fi
-}